Open Bug 1668918 Opened 2 years ago Updated 1 month ago

Intermittent LeakSanitizer | leak at mozilla::detail::HashTable, mozilla::detail::HashTable, reserve, reserve

Categories

(Firefox :: Site Identity, defect, P5)

defect

Tracking

()

REOPENED

People

(Reporter: intermittent-bug-filer, Unassigned)

References

(Blocks 1 open bug)

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell unknown])

Filed by: ncsoregi [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=317425184&repo=autoland
Full log: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/PkVMquEdSEaEgKB2ZsnSww/runs/0/artifacts/public/logs/live_backing.log


>[task 2020-10-02T18:22:47.260Z] 18:22:47     INFO - TEST-FAIL | LeakSanitizer | leak at std::sys::unix::alloc::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$std..alloc..System$GT$::realloc, __rdl_realloc, alloc::alloc::realloc, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..AllocRef$GT$::realloc
[task 2020-10-02T18:22:47.260Z] 18:22:47     INFO - INFO | LeakSanitizer | Frame alloc::alloc::realloc::h8b1d962297e947c4 matched a expected leak
[task 2020-10-02T18:22:47.261Z] 18:22:47     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::detail::HashTable, mozilla::detail::HashTable, reserve, reserve
[task 2020-10-02T18:22:47.261Z] 18:22:47     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, maybe_pod_arena_malloc, pod_malloc
[task 2020-10-02T18:22:47.262Z] 18:22:47     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2020-10-02T18:22:47.262Z] 18:22:47     INFO - TEST-FAIL | LeakSanitizer | leak at std::sys::unix::alloc::_$LT$impl$u20$core..alloc..GlobalAlloc$u20$for$u20$std..alloc..System$GT$::alloc, __rdl_alloc, alloc::alloc::alloc, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..AllocRef$GT$::alloc
[task 2020-10-02T18:22:47.262Z] 18:22:47     INFO - INFO | LeakSanitizer | Frame alloc::alloc::alloc::h2616e260759e8d08 matched a expected leak
[task 2020-10-02T18:22:47.262Z] 18:22:47     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_new, MakeUnique, MakeShapeSet
[task 2020-10-02T18:22:47.263Z] 18:22:47     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2020-10-02T18:22:47.264Z] 18:22:47     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_arena_calloc, pod_calloc
[task 2020-10-02T18:22:47.264Z] 18:22:47     INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2020-10-02T18:22:47.264Z] 18:22:47     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::ProtoAndIfaceCache::PageTableCache::EntrySlotOrCreate, mozilla::dom::ProcessMessageManager_Binding::CreateInterfaceObjects, mozilla::dom::GetPerInterfaceObjectHandle, GetProtoObjectHandle
[task 2020-10-02T18:22:47.264Z] 18:22:47     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::ProtoAndIfaceCache::PageTableCache::EntrySlotOrCreate, mozilla::dom::HTMLHtmlElement_Binding::CreateInterfaceObjects, mozilla::dom::GetPerInterfaceObjectHandle, GetProtoObjectHandle
[task 2020-10-02T18:22:47.266Z] 18:22:47     INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, maybe_pod_arena_malloc, js::AllocateObjectBuffer
[task 2020-10-02T18:22:47.266Z] 18:22:47     INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak```
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → INCOMPLETE
Status: REOPENED → RESOLVED
Closed: 2 years ago2 years ago
Resolution: --- → INCOMPLETE

Recent failure log: https://treeherder.mozilla.org/logviewer?job_id=336052195&repo=mozilla-central&lineNumber=36591

[task 2021-04-10T04:42:39.009Z] 04:42:39 INFO - TEST-START | /html/semantics/embedded-content/the-video-element/video_size_preserved_after_ended.html
[task 2021-04-10T04:42:39.012Z] 04:42:39 INFO - Closing window 1233
[task 2021-04-10T04:42:39.208Z] 04:42:39 INFO - PID 7625 | 1618029759206 Marionette WARN Ignoring event 'DOMContentLoaded' because document has an invalid readyState of 'complete'.
[task 2021-04-10T04:42:39.782Z] 04:42:39 INFO - PID 7625 | -----------------------------------------------------
[task 2021-04-10T04:42:39.783Z] 04:42:39 INFO - PID 7625 | Suppressions used:
[task 2021-04-10T04:42:39.784Z] 04:42:39 INFO - PID 7625 | count bytes template
[task 2021-04-10T04:42:39.787Z] 04:42:39 INFO - PID 7625 | 14 448 nsComponentManagerImpl
[task 2021-04-10T04:42:39.788Z] 04:42:39 INFO - PID 7625 | 2 288 libfontconfig.so
[task 2021-04-10T04:42:39.789Z] 04:42:39 INFO - PID 7625 | -----------------------------------------------------
[task 2021-04-10T04:42:42.854Z] 04:42:42 INFO - .
[task 2021-04-10T04:42:42.854Z] 04:42:42 INFO - TEST-OK | /html/semantics/embedded-content/the-video-element/video_size_preserved_after_ended.html | took 3846ms

[task 2021-04-10T04:42:46.439Z] 04:42:46 INFO - Browser exited with return code 0
[task 2021-04-10T04:42:46.440Z] 04:42:46 INFO - PROCESS LEAKS None
[task 2021-04-10T04:42:46.440Z] 04:42:46 INFO - ERROR | LeakSanitizer | SUMMARY: AddressSanitizer: 168077 byte(s) leaked in 1015 allocation(s).
[task 2021-04-10T04:42:46.441Z] 04:42:46 INFO - LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2021-04-10T04:42:46.441Z] 04:42:46 INFO - This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2021-04-10T04:42:46.442Z] 04:42:46 INFO - Allowed depth was 4
[task 2021-04-10T04:42:46.443Z] 04:42:46 INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::detail::HashTable, mozilla::detail::HashTable, reserve, reserve
[task 2021-04-10T04:42:46.443Z] 04:42:46 INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at nsPresContext::NotifyContentfulPaint, nsRefreshDriver::FlushForceNotifyContentfulPaintPresContext, nsRefreshDriver::Tick, TickDriver
[task 2021-04-10T04:42:46.444Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at Alloc, nsTSubstring, nsTSubstring, NonVoidStringToJsval
[task 2021-04-10T04:42:46.444Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame Alloc matched a expected leak
[task 2021-04-10T04:42:46.445Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_arena_calloc, pod_calloc
[task 2021-04-10T04:42:46.445Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2021-04-10T04:42:46.445Z] 04:42:46 INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::ProtoAndIfaceCache::PageTableCache::EntrySlotOrCreate, mozilla::dom::Event_Binding::CreateInterfaceObjects, mozilla::dom::GetPerInterfaceObjectHandle, GetProtoObjectHandle
[task 2021-04-10T04:42:46.446Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at Alloc, nsTSubstring, nsTSubstring, nsTSubstring
[task 2021-04-10T04:42:46.446Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame Alloc matched a expected leak
[task 2021-04-10T04:42:46.446Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at mozilla::net::SubstitutingURL::Mutator::Create, mozilla::net::nsStandardURL::TemplatedMutator, std::function, operator
[task 2021-04-10T04:42:46.446Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame mozilla::net::nsStandardURL::TemplatedMutator matched a expected leak
[task 2021-04-10T04:42:46.447Z] 04:42:46 INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at NS_NewDOMEvent, mozilla::EventDispatcher::CreateEvent, mozilla::dom::Document::CreateEvent, GetEventAndTarget
[task 2021-04-10T04:42:46.447Z] 04:42:46 INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::Event::ConstructorInit, NS_NewDOMEvent, mozilla::EventDispatcher::CreateEvent, mozilla::dom::Document::CreateEvent
[task 2021-04-10T04:42:46.448Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at mozilla::net::nsStandardURL::TemplatedMutator, mozilla::net::nsStandardURL::TemplatedMutator, std::function, operator
[task 2021-04-10T04:42:46.448Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame mozilla::net::nsStandardURL::TemplatedMutator matched a expected leak
[task 2021-04-10T04:42:46.448Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, maybe_pod_arena_malloc, js::detail::OrderedHashTable
[task 2021-04-10T04:42:46.448Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2021-04-10T04:42:46.449Z] 04:42:46 INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::ScriptLoader::CreateLoadRequest, mozilla::dom::ScriptLoader::ProcessExternalScript, mozilla::dom::ScriptLoader::ProcessScriptElement, mozilla::dom::ScriptElement::MaybeProcessScript
[task 2021-04-10T04:42:46.449Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_realloc, js_pod_arena_realloc, maybe_pod_arena_realloc, pod_realloc
[task 2021-04-10T04:42:46.449Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame js_arena_realloc matched a expected leak
[task 2021-04-10T04:42:46.450Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, v8::internal::Isolate::allocatePseudoHandle, v8::internal::Isolate::NewByteArray, v8::internal::RegExpBytecodePeepholeOptimization::OptimizeBytecode
[task 2021-04-10T04:42:46.450Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2021-04-10T04:42:46.450Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at nsDynamicAtom::Create, nsAtomTable::Atomize, mozilla::dom::PerformanceEntry::PerformanceEntry, mozilla::dom::PerformancePaintTiming::PerformancePaintTiming
[task 2021-04-10T04:42:46.450Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame nsDynamicAtom::Create matched a expected leak
[task 2021-04-10T04:42:46.451Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, maybe_pod_arena_malloc, pod_malloc
[task 2021-04-10T04:42:46.451Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2021-04-10T04:42:46.451Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, v8::internal::Isolate::allocatePseudoHandle, v8::internal::Isolate::NewByteArray, EmitUseLookupTable
[task 2021-04-10T04:42:46.451Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2021-04-10T04:42:46.452Z] 04:42:46 INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::ProtoAndIfaceCache::PageTableCache::EntrySlotOrCreate, mozilla::dom::PromiseNativeHandler_Binding::CreateInterfaceObjects, mozilla::dom::GetPerInterfaceObjectHandle, GetProtoObjectHandle
[task 2021-04-10T04:42:46.452Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, maybe_pod_arena_malloc, pod_arena_malloc
[task 2021-04-10T04:42:46.452Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2021-04-10T04:42:46.453Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_new, MakeUnique, MakeShapeSet
[task 2021-04-10T04:42:46.453Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2021-04-10T04:42:46.453Z] 04:42:46 INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::ProtoAndIfaceCache::PageTableCache::EntrySlotOrCreate, mozilla::dom::ContentProcessMessageManager_Binding::CreateInterfaceObjects, mozilla::dom::GetPerInterfaceObjectHandle, GetProtoObjectHandle
[task 2021-04-10T04:42:46.454Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, maybe_pod_arena_malloc, js::AllocateObjectBuffer
[task 2021-04-10T04:42:46.454Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2021-04-10T04:42:46.454Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at Alloc, nsTSubstring, nsTSubstring, mozilla::net::nsStandardURL::BuildNormalizedSpec
[task 2021-04-10T04:42:46.454Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame Alloc matched a expected leak
[task 2021-04-10T04:42:46.455Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, maybe_pod_arena_malloc, make_pod_arena_array
[task 2021-04-10T04:42:46.455Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2021-04-10T04:42:46.456Z] 04:42:46 INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::dom::ProtoAndIfaceCache::PageTableCache::EntrySlotOrCreate, mozilla::dom::BrowsingContext_Binding::CreateInterfaceObjects, mozilla::dom::GetPerInterfaceObjectHandle, GetProtoObjectHandle
[task 2021-04-10T04:42:46.456Z] 04:42:46 INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::detail::HashTable, mozilla::detail::HashTable, putNew, putNew
[task 2021-04-10T04:42:46.456Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, maybe_pod_arena_malloc, AllocChars
[task 2021-04-10T04:42:46.456Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2021-04-10T04:42:46.457Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, v8::internal::Isolate::allocatePseudoHandle, v8::internal::Isolate::NewByteArray, v8::internal::BoyerMooreLookahead::EmitSkipInstructions
[task 2021-04-10T04:42:46.457Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2021-04-10T04:42:46.457Z] 04:42:46 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_calloc, js_pod_arena_calloc, maybe_pod_arena_calloc, maybe_pod_calloc
[task 2021-04-10T04:42:46.457Z] 04:42:46 INFO - INFO | LeakSanitizer | Frame js_arena_calloc matched a expected leak
[task 2021-04-10T04:42:46.459Z] 04:42:46 INFO - Closing logging queue

Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

Update:
There have been 39 failures within the last 7 days:
• 5 failures on Linux 18.04 x64 WebRender asan opt
• 34 failures on Linux 18.04 x64 asan opt
Recent failure log: https://treeherder.mozilla.org/logviewer?job_id=343972161&repo=autoland&lineNumber=3920

[task 2021-06-27T09:03:00.296Z] 09:03:00     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_tab_sharing_state.js
[task 2021-06-27T09:03:01.484Z] 09:03:01     INFO - GECKO(1971) | MEMORY STAT | vsize 20975520MB | residentFast 1260MB
[task 2021-06-27T09:03:01.487Z] 09:03:01     INFO - TEST-OK | browser/base/content/test/siteIdentity/browser_tab_sharing_state.js | took 1191ms
[task 2021-06-27T09:03:01.492Z] 09:03:01     INFO - GECKO(1971) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-06-27T09:03:01.524Z] 09:03:01     INFO - checking window state
[task 2021-06-27T09:03:01.937Z] 09:03:01     INFO - GECKO(1971) | -----------------------------------------------------
[task 2021-06-27T09:03:01.937Z] 09:03:01     INFO - GECKO(1971) | Suppressions used:
[task 2021-06-27T09:03:01.938Z] 09:03:01     INFO - GECKO(1971) |   count      bytes template
[task 2021-06-27T09:03:01.939Z] 09:03:01     INFO - GECKO(1971) |      14        448 nsComponentManagerImpl
[task 2021-06-27T09:03:01.940Z] 09:03:01     INFO - GECKO(1971) |       2        288 libfontconfig.so
[task 2021-06-27T09:03:01.940Z] 09:03:01     INFO - GECKO(1971) | -----------------------------------------------------
[task 2021-06-27T09:03:02.983Z] 09:03:02     INFO - GECKO(1971) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-06-27T09:03:02.986Z] 09:03:02     INFO - GECKO(1971) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-06-27T09:03:03.010Z] 09:03:03     INFO - GECKO(1971) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-06-27T09:03:04.026Z] 09:03:04     INFO - GECKO(1971) | Completed ShutdownLeaks collections in process 2127
[task 2021-06-27T09:03:04.093Z] 09:03:04     INFO - GECKO(1971) | Completed ShutdownLeaks collections in process 2120
[task 2021-06-27T09:03:04.165Z] 09:03:04     INFO - GECKO(1971) | Completed ShutdownLeaks collections in process 2030
[task 2021-06-27T09:03:04.184Z] 09:03:04     INFO - GECKO(1971) | Completed ShutdownLeaks collections in process 2117
[task 2021-06-27T09:03:04.251Z] 09:03:04     INFO - GECKO(1971) | -----------------------------------------------------
[task 2021-06-27T09:03:04.251Z] 09:03:04     INFO - GECKO(1971) | Suppressions used:
[task 2021-06-27T09:03:04.251Z] 09:03:04     INFO - GECKO(1971) |   count      bytes template
[task 2021-06-27T09:03:04.251Z] 09:03:04     INFO - GECKO(1971) |      14        448 nsComponentManagerImpl
[task 2021-06-27T09:03:04.251Z] 09:03:04     INFO - GECKO(1971) |       2        288 libfontconfig.so
[task 2021-06-27T09:03:04.251Z] 09:03:04     INFO - GECKO(1971) | -----------------------------------------------------
[task 2021-06-27T09:03:04.321Z] 09:03:04     INFO - GECKO(1971) | Completed ShutdownLeaks collections in process 2051
[task 2021-06-27T09:03:05.964Z] 09:03:05     INFO - GECKO(1971) | -----------------------------------------------------
[task 2021-06-27T09:03:05.964Z] 09:03:05     INFO - GECKO(1971) | Suppressions used:
[task 2021-06-27T09:03:05.964Z] 09:03:05     INFO - GECKO(1971) |   count      bytes template
[task 2021-06-27T09:03:05.964Z] 09:03:05     INFO - GECKO(1971) |      14        448 nsComponentManagerImpl
[task 2021-06-27T09:03:05.964Z] 09:03:05     INFO - GECKO(1971) |       2        288 libfontconfig.so
[task 2021-06-27T09:03:05.964Z] 09:03:05     INFO - GECKO(1971) | -----------------------------------------------------
[task 2021-06-27T09:03:06.017Z] 09:03:06     INFO - GECKO(1971) | -----------------------------------------------------
[task 2021-06-27T09:03:06.019Z] 09:03:06     INFO - GECKO(1971) | Suppressions used:
[task 2021-06-27T09:03:06.020Z] 09:03:06     INFO - GECKO(1971) |   count      bytes template
[task 2021-06-27T09:03:06.021Z] 09:03:06     INFO - GECKO(1971) |      14        448 nsComponentManagerImpl
[task 2021-06-27T09:03:06.022Z] 09:03:06     INFO - GECKO(1971) |       2        288 libfontconfig.so
[task 2021-06-27T09:03:06.023Z] 09:03:06     INFO - GECKO(1971) | -----------------------------------------------------
[task 2021-06-27T09:03:06.536Z] 09:03:06     INFO - GECKO(1971) | Completed ShutdownLeaks collections in process 1971
[task 2021-06-27T09:03:06.540Z] 09:03:06     INFO - TEST-START | Shutdown
[task 2021-06-27T09:03:06.546Z] 09:03:06     INFO - Browser Chrome Test Summary
[task 2021-06-27T09:03:06.547Z] 09:03:06     INFO - Passed:  1345
[task 2021-06-27T09:03:06.548Z] 09:03:06     INFO - Failed:  0
[task 2021-06-27T09:03:06.549Z] 09:03:06     INFO - Todo:    0
[task 2021-06-27T09:03:06.550Z] 09:03:06     INFO - Mode:    e10s
[task 2021-06-27T09:03:06.552Z] 09:03:06     INFO - *** End BrowserChrome Test Results ***
[task 2021-06-27T09:03:07.113Z] 09:03:07     INFO - GECKO(1971) | JavaScript error: resource:///modules/Interactions.jsm, line 205: NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIUserIdleService.removeIdleObserver]
[task 2021-06-27T09:03:07.597Z] 09:03:07     INFO - GECKO(1971) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-06-27T09:03:07.631Z] 09:03:07     INFO - GECKO(1971) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-06-27T09:03:07.632Z] 09:03:07     INFO - GECKO(1971) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-06-27T09:03:07.648Z] 09:03:07     INFO - GECKO(1971) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-06-27T09:03:07.649Z] 09:03:07     INFO - GECKO(1971) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-06-27T09:03:07.663Z] 09:03:07     INFO - GECKO(1971) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-06-27T09:03:07.665Z] 09:03:07     INFO - GECKO(1971) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-06-27T09:03:10.351Z] 09:03:10     INFO - GECKO(1971) | 1624784590349	Marionette	TRACE	Received observer notification xpcom-will-shutdown
[task 2021-06-27T09:03:10.355Z] 09:03:10     INFO - GECKO(1971) | 1624784590352	Marionette	INFO	Stopped listening on port 2828
[task 2021-06-27T09:03:10.359Z] 09:03:10     INFO - GECKO(1971) | 1624784590354	Marionette	DEBUG	Marionette stopped listening
[task 2021-06-27T09:03:10.778Z] 09:03:10     INFO - GECKO(1971) | =================================================================
[task 2021-06-27T09:03:10.780Z] 09:03:10    ERROR - GECKO(1971) | ==5692==ERROR: LeakSanitizer: detected memory leaks
[task 2021-06-27T09:03:10.781Z] 09:03:10     INFO - GECKO(1971) | Direct leak of 7192 byte(s) in 46 object(s) allocated from:
[task 2021-06-27T09:03:10.782Z] 09:03:10     INFO - GECKO(1971) |     #0 0x55969e5187ad in malloc /builds/worker/fetches/llvm-project/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cpp:145:3
[task 2021-06-27T09:03:10.783Z] 09:03:10     INFO - GECKO(1971) |     #1 0x7fc3fbf076d5 in js_arena_malloc /builds/worker/workspace/obj-build/dist/include/js/Utility.h:364:10
[task 2021-06-27T09:03:10.784Z] 09:03:10     INFO - GECKO(1971) |     #2 0x7fc3fbf076d5 in js_pod_arena_malloc<unsigned char> /builds/worker/workspace/obj-build/dist/include/js/Utility.h:573:26
[task 2021-06-27T09:03:10.786Z] 09:03:10     INFO - GECKO(1971) |     #3 0x7fc3fbf076d5 in maybe_pod_arena_malloc<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:57:12
[task 2021-06-27T09:03:10.787Z] 09:03:10     INFO - GECKO(1971) |     #4 0x7fc3fbf076d5 in pod_arena_malloc<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:109:12
[task 2021-06-27T09:03:10.788Z] 09:03:10     INFO - GECKO(1971) |     #5 0x7fc3fbf076d5 in pod_malloc<unsigned char> /builds/worker/checkouts/gecko/js/src/vm/MallocProvider.h:127:12
<...>
[task 2021-06-27T09:03:21.229Z] 09:03:21     INFO - GECKO(1971) |     #48 0x7fc3f22d1f9c in XPCJSContext::AfterProcessTask(unsigned int) /builds/worker/checkouts/gecko/js/xpconnect/src/XPCJSContext.cpp:1481:28
[task 2021-06-27T09:03:21.230Z] 09:03:21     INFO - GECKO(1971) |     #49 0x7fc3f08bf55a in nsThread::ProcessNextEvent(bool, bool*) /builds/worker/checkouts/gecko/xpcom/threads/nsThread.cpp:1189:24
[task 2021-06-27T09:03:21.230Z] 09:03:21     INFO - GECKO(1971) | -----------------------------------------------------
[task 2021-06-27T09:03:21.231Z] 09:03:21     INFO - GECKO(1971) | Suppressions used:
[task 2021-06-27T09:03:21.231Z] 09:03:21     INFO - GECKO(1971) |   count      bytes template
[task 2021-06-27T09:03:21.231Z] 09:03:21     INFO - GECKO(1971) |    1578     111274 libc.so
[task 2021-06-27T09:03:21.232Z] 09:03:21     INFO - GECKO(1971) |      14        448 nsComponentManagerImpl
[task 2021-06-27T09:03:21.232Z] 09:03:21     INFO - GECKO(1971) |       2        288 libfontconfig.so
[task 2021-06-27T09:03:21.233Z] 09:03:21     INFO - GECKO(1971) |     582      19259 js::frontend::Parse
[task 2021-06-27T09:03:21.233Z] 09:03:21     INFO - GECKO(1971) |       3         90 xpc::CIGSHelper
[task 2021-06-27T09:03:21.234Z] 09:03:21     INFO - GECKO(1971) |     816      55753 mozJSComponentLoader
[task 2021-06-27T09:03:21.234Z] 09:03:21     INFO - GECKO(1971) |      79      12142 XPCWrappedNativeJSOps
[task 2021-06-27T09:03:21.235Z] 09:03:21     INFO - GECKO(1971) | -----------------------------------------------------
[task 2021-06-27T09:03:21.235Z] 09:03:21     INFO - GECKO(1971) | SUMMARY: AddressSanitizer: 94779 byte(s) leaked in 747 allocation(s).
[task 2021-06-27T09:03:21.237Z] 09:03:21     INFO - GECKO(1971) | -----------------------------------------------------
[task 2021-06-27T09:03:21.237Z] 09:03:21     INFO - GECKO(1971) | Suppressions used:
[task 2021-06-27T09:03:21.239Z] 09:03:21     INFO - GECKO(1971) |   count      bytes template
[task 2021-06-27T09:03:21.239Z] 09:03:21     INFO - GECKO(1971) |      17        520 nsComponentManagerImpl
[task 2021-06-27T09:03:21.239Z] 09:03:21     INFO - GECKO(1971) |     633      18083 libfontconfig.so
[task 2021-06-27T09:03:21.239Z] 09:03:21     INFO - GECKO(1971) |      16      16483 libglib-2.0.so
[task 2021-06-27T09:03:21.239Z] 09:03:21     INFO - GECKO(1971) |       3        624 mozJSComponentLoader
[task 2021-06-27T09:03:21.244Z] 09:03:21     INFO - GECKO(1971) | -----------------------------------------------------
[task 2021-06-27T09:03:21.245Z] 09:03:21     INFO - TEST-INFO | Main app process: exit 0
[task 2021-06-27T09:03:21.245Z] 09:03:21     INFO - TEST-INFO | LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2021-06-27T09:03:21.246Z] 09:03:21     INFO - TEST-INFO | LeakSanitizer | This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2021-06-27T09:03:21.246Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::detail::HashTable, mozilla::detail::HashTable, reserve, reserve
[task 2021-06-27T09:03:21.247Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc::alloc::alloc::h2f060a4097bf3f0c, alloc::alloc::Global::alloc_impl::h8194b5bf11a2401b, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Allocator$GT$::allocate::hddd3472725329b92, hashbrown::raw::alloc::inner::do_alloc::he84808bf576fc0ca
[task 2021-06-27T09:03:21.250Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::detail::HashTable, mozilla::detail::HashTable, putNew, putNew
[task 2021-06-27T09:03:21.250Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at AllocateProtoAndIfaceCache, mozilla::dom::CreateGlobal, mozilla::dom::Window_Binding::Wrap, CreateNativeGlobalForInner
[task 2021-06-27T09:03:21.250Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_arena_malloc, maybe_pod_arena_malloc, pod_arena_malloc, AllocChars
[task 2021-06-27T09:03:21.250Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc::alloc::alloc::h2f060a4097bf3f0c, alloc::alloc::Global::alloc_impl::h8194b5bf11a2401b, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Allocator$GT$::allocate::hddd3472725329b92, alloc::raw_vec::RawVec$LT$T$C$A$GT$::allocate_in::h25e93d58f20b80bd
[task 2021-06-27T09:03:21.250Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_arena_malloc, maybe_pod_arena_malloc, pod_arena_malloc, pod_malloc
[task 2021-06-27T09:03:21.250Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc::alloc::alloc::h2f060a4097bf3f0c, alloc::alloc::Global::alloc_impl::h8194b5bf11a2401b, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Allocator$GT$::allocate::hddd3472725329b92, alloc::raw_vec::RawVec$LT$T$C$A$GT$::allocate_in::he075aeedbef9ca6f
[task 2021-06-27T09:03:21.250Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_arena_malloc, maybe_pod_arena_malloc, pod_arena_malloc, make_pod_arena_array
[task 2021-06-27T09:03:21.250Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_arena_malloc, maybe_pod_arena_malloc, js::detail::OrderedHashTable, pod_malloc
[task 2021-06-27T09:03:21.250Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_arena_malloc, maybe_pod_arena_malloc, maybe_pod_malloc, js::gc::GCRuntime::tryNewTenuredObject
[task 2021-06-27T09:03:21.250Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::intl::FluentBundle::Constructor, mozilla::dom::FluentBundle_Binding::_constructor, CallJSNative, CallJSNativeConstructor
[task 2021-06-27T09:03:21.250Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_new, MakeUnique, js::SharedPropMap::addChild, js::SharedPropMap::addPropertyInternal
[task 2021-06-27T09:03:21.250Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc::raw_vec::finish_grow::h025e34b30a11e2dd, alloc::raw_vec::RawVec$LT$T$C$A$GT$::grow_amortized::hb6666a3bb4964990, alloc::raw_vec::RawVec$LT$T$C$A$GT$::reserve::do_reserve_and_handle::hd93854fe8319fe7c, alloc::raw_vec::RawVec$LT$T$C$A$GT$::reserve::h92d5791e2cf717f8
[task 2021-06-27T09:03:21.252Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::detail::HashTable, mozilla::detail::HashTable, mozilla::detail::HashTable, reserve
[task 2021-06-27T09:03:21.252Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc::alloc::realloc::hecd6ab118fbbab66, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Allocator$GT$::shrink::hefae2870413abc16, alloc::raw_vec::RawVec$LT$T$C$A$GT$::shrink::h6d6f9c551641856c, alloc::raw_vec::RawVec$LT$T$C$A$GT$::shrink_to_fit::hdd6b88aabd9ac198
[task 2021-06-27T09:03:21.253Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at js_pod_arena_realloc, maybe_pod_arena_realloc, pod_realloc, js::Nursery::reallocateBuffer
[task 2021-06-27T09:03:21.253Z] 09:03:21    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc::alloc::alloc::h2f060a4097bf3f0c, alloc::alloc::Global::alloc_impl::h8194b5bf11a2401b, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Allocator$GT$::allocate::hddd3472725329b92, alloc::alloc::exchange_malloc::h9f41935042b7bcd7
[task 2021-06-27T09:03:21.254Z] 09:03:21     INFO - runtests.py | Application ran for: 0:04:53.236676
Whiteboard: [stockwell needswork:owner]

Michael, as the owner of this component, could you help us assign it to someone?
Thank you.

Flags: needinfo?(mfroman)

This appears misfiled under webrtc. Please let me know if I'm missing something vital, but the tests running in Comment 24 are browser chrome tests and the set prior to the leaks don't seem to contain webrtc content:

[task 2021-06-27T08:58:36.771Z] 08:58:36     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_bug1045809.js
[task 2021-06-27T08:58:43.171Z] 08:58:43     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_bug822367.js
[task 2021-06-27T08:58:51.181Z] 08:58:51     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_bug902156.js
[task 2021-06-27T08:58:57.066Z] 08:58:57     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_bug906190.js
[task 2021-06-27T08:59:20.286Z] 08:59:20     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_check_identity_state.js
[task 2021-06-27T09:00:19.523Z] 09:00:19     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_csp_block_all_mixedcontent.js
[task 2021-06-27T09:00:20.549Z] 09:00:20     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_deprecatedTLSVersions.js
[task 2021-06-27T09:00:24.621Z] 09:00:24     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_geolocation_indicator.js
[task 2021-06-27T09:00:47.755Z] 09:00:47     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_getSecurityInfo.js
[task 2021-06-27T09:00:52.632Z] 09:00:52     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_identityBlock_flicker.js
[task 2021-06-27T09:00:54.863Z] 09:00:54     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_identityBlock_focus.js
[task 2021-06-27T09:00:59.499Z] 09:00:59     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_identityIcon_img_url.js
[task 2021-06-27T09:01:14.368Z] 09:01:14     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_identityPopup_HttpsOnlyMode.js
[task 2021-06-27T09:01:22.525Z] 09:01:22     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_identityPopup_clearSiteData_extensions.js
[task 2021-06-27T09:01:24.002Z] 09:01:24     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_identityPopup_custom_roots.js
[task 2021-06-27T09:01:26.751Z] 09:01:26     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_identityPopup_focus.js
[task 2021-06-27T09:01:31.343Z] 09:01:31     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_identity_UI.js
[task 2021-06-27T09:01:54.040Z] 09:01:54     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_iframe_navigation.js
[task 2021-06-27T09:02:00.948Z] 09:02:00     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_ignore_same_page_navigation.js
[task 2021-06-27T09:02:03.063Z] 09:02:03     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_mcb_redirect.js
[task 2021-06-27T09:02:08.838Z] 09:02:08     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_mixedContentFramesOnHttp.js
[task 2021-06-27T09:02:10.914Z] 09:02:10     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_mixedContentFromOnunload.js
[task 2021-06-27T09:02:16.257Z] 09:02:16     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_mixed_content_cert_override.js
[task 2021-06-27T09:02:19.578Z] 09:02:19     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_mixed_content_with_navigation.js
[task 2021-06-27T09:02:32.274Z] 09:02:32     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_mixed_passive_content_indicator.js
[task 2021-06-27T09:02:33.102Z] 09:02:33     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_mixedcontent_securityflags.js
[task 2021-06-27T09:02:36.811Z] 09:02:36     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_navigation_failures.js
[task 2021-06-27T09:02:43.046Z] 09:02:43     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_no_mcb_for_loopback.js
[task 2021-06-27T09:02:46.050Z] 09:02:46     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_no_mcb_for_onions.js
[task 2021-06-27T09:02:50.044Z] 09:02:50     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_no_mcb_on_http_site.js
[task 2021-06-27T09:02:54.679Z] 09:02:54     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_secure_transport_insecure_scheme.js
[task 2021-06-27T09:03:00.296Z] 09:03:00     INFO - TEST-START | browser/base/content/test/siteIdentity/browser_tab_sharing_state.js
Flags: needinfo?(mfroman) → needinfo?(imoraru)
Component: WebRTC → Site Identity
Flags: needinfo?(imoraru)
Product: Core → Firefox

Hi Michael. When this bug got filed, the leaks were under /webrtc/RTCPeerConnectionIceEvent-constructor.html that's why that component.
I changed it based on the failure log in Comment 24.

Status: REOPENED → RESOLVED
Closed: 2 years ago11 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Severity: normal → S4
Status: REOPENED → RESOLVED
Closed: 11 months ago8 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Blocks: LSan
You need to log in before you can comment on or make changes to this bug.